#!/usr/local/bin/ruby
#
# Copyright (C) 2001, Sean Chittenden <sean@chittenden.org>
#
# See LICENSE file for copyright and distribution information

# Put this file in your live web environment/docroot
# Ex: /www/data/host.example.com/docs/test.rbx

require "ruby-tmpl"

# Create a new template object
tmpl = Template.new

# Set the path to your templates
tmpl.path = "./tmpl"

# Set the filename for the template object to use
tmpl.file = 'test.tmpl'

# Set some values inside of the template
tmpl.set('test', "ruby-tmpl worked")

# Set some values that make use of name spaces
tmpl.set('color','blue')
tmpl.set('top:color','green')
tmpl.set('bottom:color','red')

# Set the session information for the page
tmpl.session = '0123456789abcdef0123456789abcdef'

# Set whether or not you want the output to be munged
tmpl.munge_output = false

# Print out the output of the template
tmpl.print
